Get list of topics that a repository has
GET
/repos/{owner}/{repo}/topics
const url = 'https://gitea.com/api/v1/repos/example/example/topics';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.com/api/v1/repos/example/example/topics \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
Query Parameters
Section titled “Query Parameters”page
integer
Page number of results to return (1-based)
limit
integer
Page size of results
Responses
Section titled “Responses”TopicNames
Media typeapplication/json
TopicName a list of repo topic names
object
topics
List of topic names
Array<string>
Examplegenerated
{ "topics": [ "example" ]}APINotFound is a not found empty response
Media typeapplication/json